Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86187 - findvar.c:277: gdb-internal-error: store_typed_address: type is not a pointer or reference
Summary: findvar.c:277: gdb-internal-error: store_typed_address: type is not a pointer...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-16 14:38 UTC by Alex Drobinsky
Modified: 2015-01-08 00:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-25 13:12:44 UTC


Attachments (Terms of Use)

Description Alex Drobinsky 2003-03-16 14:38:59 UTC
Description of problem:
findvar.c:277: gdb-internal-error: store_typed_address: type is not a pointer or
reference

Version-Release number of selected component (if applicable):
Red Hat Linux (5.1.90CVS-5)

How reproducible:
Occurs when I used simple std::list and asked GDB to print list.size()

Steps to Reproduce:
1. Create std::list
2. make some error to cause it create core
3. run gdb & try to find out size of list
    
Actual results: GDB crush


Expected results:


Additional info:

Comment 1 Elena Zannoni 2003-04-07 22:00:49 UTC
Could you please provide a test case? there is not enough info to reproduce this
problem.

Comment 2 Elena Zannoni 2003-08-25 13:12:44 UTC
Not enough info. Please try a more recent version of gdb.



Note You need to log in before you can comment on or make changes to this bug.